classification
Title: -3 commandline option documented differently via man
Type: behavior Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, berker.peksag, docs@python, mgilson
Priority: normal Keywords: easy

Created on 2016-07-08 16:23 by mgilson, last changed 2017-08-04 02:02 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 150 merged subho, 2017-02-18 09:35
Messages (2)
msg269994 - (view) Author: Matthew Gilson (mgilson) * Date: 2016-07-08 16:23
The man page for python says:

> Warn about Python 3.x incompatibilities that 2to3 cannot trivially fix.

The official documentation (https://docs.python.org/2/using/cmdline.html#cmdoption-3) does not mention 2to3 at all:

> Warn about Python 3.x possible incompatibilities by emitting a DeprecationWarning for features that are removed or significantly changed in Python 3.

This seems like a pretty big oversight when the following code issues no warnings (presumably because 2to3 can trivially handle this change):

```
from __future__ import print_function

class test(object):
    def __nonzero__(self):
        return False

t = test()
if t:
    print('Hello')
```
msg299728 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-08-04 02:00
New changeset dd6e4aa113c6db4fcf9d252b5063ab217e8330a2 by Mariatta (Subhendu Ghosh) in branch '2.7':
bpo-27470: Improve doc for commandline -3 option
https://github.com/python/cpython/commit/dd6e4aa113c6db4fcf9d252b5063ab217e8330a2
History
Date User Action Args
2017-08-04 02:02:55Mariattasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-08-04 02:00:15Mariattasetnosy: + Mariatta
messages: + msg299728
2017-08-04 01:43:52Mariattasetstage: needs patch -> patch review
2017-02-18 09:35:33subhosetpull_requests: + pull_request113
2016-09-28 00:42:40berker.peksagsetkeywords: + easy
nosy: + berker.peksag

type: behavior
stage: needs patch
2016-07-08 16:23:05mgilsoncreate